Bug 270634 - Krita opens a gif image but it is not displayed
Summary: Krita opens a gif image but it is not displayed
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.3
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-11 00:58 UTC by Gatoso
Modified: 2011-06-03 22:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
gdb's trace, when Krita opens the image (73.21 KB, text/plain)
2011-04-11 00:58 UTC, Gatoso
Details
The gif image (93.72 KB, image/gif)
2011-04-11 01:01 UTC, Gatoso
Details
Screenshot (128.22 KB, image/png)
2011-04-11 01:04 UTC, Gatoso
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gatoso 2011-04-11 00:58:29 UTC
Created attachment 58786 [details]
gdb's trace, when Krita opens the image

Version:           2.3 (using KDE 4.6.2) 
OS:                Linux

After opening a gif image with krita, it does not show anything.

I tried to reproduce the error with another gif image but it just occurs with that specific gif image.

I attached a gdb's trace, when Krita opens the image.

Also I attached the gif image.

Additionally, I have attached a screenshot when krita, already opened the gif image.

Reproducible: Always

Steps to Reproduce:
Open the attached gif image with Krita

Actual Results:  
The image is not shown

Expected Results:  
See the gif image

OS: Archlinux (i686) release 2.6.37-pae
Compiler: gcc
Comment 1 Gatoso 2011-04-11 01:01:21 UTC
Created attachment 58787 [details]
The gif image
Comment 2 Gatoso 2011-04-11 01:04:21 UTC
Created attachment 58788 [details]
Screenshot
Comment 3 Halla Rempt 2011-04-11 09:31:00 UTC
Thanks for your report. I can reproduce and I'll look into it.
Comment 4 Halla Rempt 2011-06-03 22:17:50 UTC
Git commit e891dace2586104ad6fd08c7cf7c0e56d37b3a16 by Boudewijn Rempt.
Committed on 03/06/2011 at 22:04.
Pushed by rempt into branch 'master'.

Abuse the bmp filter for some other simple formats

BMP, GIF, XPM, XBM are file formats we don't want to spend much time on.
Krita is not for such files. So abuse the Qt support for those file formats
like we used to abuse GraphicsMagick or ImageMagick and that's it -- if
Qt cannot open these files, it's better to convert them using another
application before importing in Krita.

This also removes my gif filer which never worked really well.
BUG: 167713
BUG: 270634
BUG: 263987

M  +0    -7    krita/plugins/formats/CMakeLists.txt     
M  +1    -1    krita/plugins/formats/bmp/kis_bmp_import.cpp     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp.desktop     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp_export.desktop     
M  +1    -1    krita/plugins/formats/bmp/krita_bmp_import.desktop     
D  +0    -38   krita/plugins/formats/gif/CMakeLists.txt     
D  +0    -454  krita/plugins/formats/gif/gif_converter.cpp     
D  +0    -97   krita/plugins/formats/gif/gif_converter.h     
D  +0    -96   krita/plugins/formats/gif/gif_export.cpp     
D  +0    -34   krita/plugins/formats/gif/gif_export.h     
D  +0    -96   krita/plugins/formats/gif/gif_import.cpp     
D  +0    -34   krita/plugins/formats/gif/gif_import.h     
D  +0    -58   krita/plugins/formats/gif/kis_gif_writer_visitor.cpp     
D  +0    -80   krita/plugins/formats/gif/kis_gif_writer_visitor.h     
D  +0    -72   krita/plugins/formats/gif/krita_gif.desktop     
D  +0    -36   krita/plugins/formats/gif/krita_gif_export.desktop     
D  +0    -36   krita/plugins/formats/gif/krita_gif_import.desktop     
D  +-    --    krita/plugins/formats/gif/test.gif     

http://commits.kde.org/calligra/e891dace2586104ad6fd08c7cf7c0e56d37b3a16